KATE(4)

NAME
kate - AMD K8 temperature sensor

SYNOPSIS
kate* at pci?

DESCRIPTION
The kate driver provides support for the temperature sensors available in the AMD K8 family of processors.

These sensors were officially introduced with Revision F Family 0Fh processors, and provide 1 degC accuracy. Precision was improved in Revision G chips, which provide two more bits for 0.25 degC steppings. Each core may have two temperature sensors, and there may be up to two cores per package.

Multiprocessor systems would have one instance of kate per each chip. In each instance, temp0 and temp1 sensors correspond to the temperature sensors on the first core, whereas temp2 and temp3 correspond to the temperature sensors on the second core. As such, single core chips may have two sensors, and dual-core dual-processor systems may have as many as 8 temperature sensors in total.

Since many prior revisions of the chips appear to have valid readings for at least some temperature sensors in the same address space as the aforementioned revisions, the driver may also attach on such older revisions provided that it finds some sensor readings that appear valid. However, in such cases kate would not print the core revision information into the dmesg.

Sensor values are made available through the sysctl(8) interface.

SEE ALSO
intro(4), pci(4), sensorsd(8), sysctl(8) BIOS and Kernel Developer's Guide for AMD NPT Family 0Fh Processors, July 2007, Publication # 32559, pp. 21–23 and pp. 179–184. Revision Guide for AMD NPT Family 0Fh Processors, February 2008, Publication # 33610.

HISTORY
The kate driver first appeared in OpenBSD 4.4.

AUTHORS
-nosplit The kate driver was written by Constantine A. Murenin <cnst@openbsd.org> whilst at the University of Waterloo.